<!doctype html>
<html lang="en">
<head>
    <!-- https://github.com/vinorodrigues/bootstrap-dark-5/blob/main/docs/bootstrap-dark.md -->
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The page supports both dark and light color schemes,
         and the page author prefers / default is dark. -->
    <meta name="color-scheme" content="dark light">

    <!-- Replace the Bootstrap CSS with the
         Bootstrap-Dark Variant CSS -->
    {#    <link rel="stylesheet" href="{{ url_for('static', filename='bootstrap-dark.min.css') }}">#}
    <link href="https://cdn.jsdelivr.net/npm/bootstrap-dark-5@1.0.2/dist/css/bootstrap-dark.min.css" rel="stylesheet">


    <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <!--https://stackoverflow.com/questions/30011170/flask-application-how-to-link-a-javascript-file-to-website-->
    <script type="text/javascript" src="{{ url_for('static', filename='prediction.js') }}"></script>


    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
            integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM"
            crossorigin="anonymous"></script>

    {#    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet">#}
    <!--          integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">-->


    <link rel="stylesheet" href="{{ url_for('static', filename='style.css') }}">


    <!--https://favicon.io/emoji-favicons/speech-balloon-->
    <!--https://stackoverflow.com/questions/48863061/favicon-ico-results-in-404-error-in-flask-app#48863231-->
    <link rel="apple-touch-icon" sizes="180x180" href="{{ url_for('static', filename='apple-touch-icon.png') }}">
    <link rel="icon" type="image/png" sizes="32x32" href="{{ url_for('static', filename='favicon-32x32.png') }}">
    <link rel="icon" type="image/png" sizes="16x16" href="{{ url_for('static', filename='favicon-16x16.png') }}">
    <link rel="manifest" href="{{ url_for('static', filename='site.webmanifest') }}">

    <title>Lexical stress prediction</title>
</head>

<body>
<nav class="navbar navbar-expand-lg navbar-light">
    {# https://getbootstrap.com/docs/5.0/components/navbar/ #}
    <div class="container-fluid">
        {#        <h1 class="end-0">Lexical stress prediction</h1>#}
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarText"
                aria-controls="navbarText" aria-expanded="false" aria-label="Toggle navigation">
            {# onclick="$('#navbarText').toggle()">#}
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse justify-content-end" id="navbarText">
            <ul class="navbar-nav nav-fill mb-2 mb-lg-0">
                {#            <li class="nav-item">#}
                {#                <a class="nav-link active" aria-current="page" href="/">Home</a>#}
                {#            </li>#}
                <li class="nav-item btn">
                    <a class="nav-link btn" href="{{ url_for('static', filename='presentation.pdf') }}">Presentation (EN)</a>
                </li>
                <li class="nav-item btn">
                    <a class="nav-link" href="{{ url_for('static', filename='prezentare.pdf') }}">Presentation (RO)</a>
                </li>
                <li class="nav-item btn">
                    <a class="nav-link" href="{{ url_for('static', filename='documentation.pdf') }}">Documentation</a>
                </li>
            </ul>
        </div>
    </div>
</nav>

<h1>Lexical stress prediction</h1>
<br>
<form>
    <button type="submit" disabled style="display: none" aria-hidden="true"></button>
    <div id="the-content" class="h-100">
        <div class="row mb-3 justify-content-center align-content-center">
            <label for="input-text" class="col-form-label-lg">Input</label>
            <div class="col-lg-3 justify-content-center align-content-center">
                <input type="text" class="form-control mb-3" id="input-text">
            </div>
        </div>
        <!--    <div class="row mb-3 justify-content-center align-content-center">-->
        <!--        <label for="syllable-opt" class="col-form-label">Input</label>-->
        <!--        <div class="col-lg-3 justify-content-center align-content-center">-->
        <!--            <input type="checkbox" class="form-control mb-3" id="syllable-opt">-->
        <!--        </div>-->
        <!--    </div>-->
        <div class="row mb-3 justify-content-center align-content-center">
            <label for="languages" class="col-form-label-lg">Model</label>
            <div class="col-lg-3 justify-content-center align-content-center">
                <select class="form-select mb-3" id="languages">
                    <option value="bg_BG">Bulgarian</option>
                    <option value="da_DK">Danish</option>
                    <option value="de_DE">German</option>
                    <option value="el_GR">Greek</option>
                    <option value="it_IT">Italian</option>
                    <option value="lt_LT">Lithuanian</option>
                    <option value="nb_NO">Norwegian (Bokmål)</option>
                    <option value="pt_PT">Portuguese</option>
                    <option value="ro_RO">Romanian</option>
                    <option value="rsd" selected="selected">Romanian (RoSyllabiDict)</option>
                    <option value="ru_RU">Russian</option>
                    <option value="es_ES">Spanish</option>
                </select>
            </div>
        </div>
        <div id="prediction" class="row mb-3 col-form-label-lg justify-content-center align-content-center"></div>
    </div>
</form>


</body>
</html>
